package domain


type AlibabaTclsAxIntegrationPermissionDataPermissionDto struct {
    /*
        拥有权限的列表     */
    Permissions  *[]string `json:"permissions,omitempty" `

    /*
        是否拥有全部权限     */
    PermitAll  *bool `json:"permit_all,omitempty" `

    /*
        外部数据维度编码     */
    OutDataRangeCode  *string `json:"out_data_range_code,omitempty" `

    /*
        数据维度编码     */
    DataRangeCode  *string `json:"data_range_code,omitempty" `

}

func (s *AlibabaTclsAxIntegrationPermissionDataPermissionDto) SetPermissions(v []string) *AlibabaTclsAxIntegrationPermissionDataPermissionDto {
    s.Permissions = &v
    return s
}
func (s *AlibabaTclsAxIntegrationPermissionDataPermissionDto) SetPermitAll(v bool) *AlibabaTclsAxIntegrationPermissionDataPermissionDto {
    s.PermitAll = &v
    return s
}
func (s *AlibabaTclsAxIntegrationPermissionDataPermissionDto) SetOutDataRangeCode(v string) *AlibabaTclsAxIntegrationPermissionDataPermissionDto {
    s.OutDataRangeCode = &v
    return s
}
func (s *AlibabaTclsAxIntegrationPermissionDataPermissionDto) SetDataRangeCode(v string) *AlibabaTclsAxIntegrationPermissionDataPermissionDto {
    s.DataRangeCode = &v
    return s
}
